summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorNicolas Zingilé <nicolas.zingile@open.eurogiciel.org>2014-10-29 17:37:53 +0100
committerNicolas Zingilé <nicolas.zingile@open.eurogiciel.org>2014-10-30 10:53:29 +0100
commit9b4973013b41e34bc881f0825fe5669535db1692 (patch)
tree7c381428b31db0defbca9650661841949143109b
parent849cf3840a1feae5710b71e74a480ff7e3e3a4fd (diff)
downloadsystem-installer-9b4973013b41e34bc881f0825fe5669535db1692.tar.gz
system-installer-9b4973013b41e34bc881f0825fe5669535db1692.tar.bz2
system-installer-9b4973013b41e34bc881f0825fe5669535db1692.zip
Change-Id: I8127a418248e1a0e81c8dbd8002dee03224e39f5 Signed-off-by: Nicolas Zingilé <nicolas.zingile@open.eurogiciel.org>
-rwxr-xr-xscripts/system-installer11
-rwxr-xr-xscripts/wifi-util10
2 files changed, 13 insertions, 8 deletions
diff --git a/scripts/system-installer b/scripts/system-installer
index 01d46c9..db90e3d 100755
--- a/scripts/system-installer
+++ b/scripts/system-installer
@@ -6,7 +6,7 @@
# License: GPLv2
# Authors: Thibault Guittet <thibault.guittet@open.eurogiciel.org>
# Nicolas Zingilé <nicolas.zingile@open.eurogiciel.org>
-# Stéphane Desneux <stephane.desneux@open.euurogiciel.org>
+# Stéphane Desneux <stephane.desneux@open.eurogiciel.org>
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License, version 2,
@@ -41,7 +41,7 @@ bmaptool_failure=""
# util executables paths
utilspath=/usr/lib/system-installer
url_util=$utilspath/url-util
-wifi_util_util=$utilspath/wifi-util
+wifi_util=$utilspath/wifi-util
kbd_util=$utilspath/keyboard-util
disk_util=$utilspath/disk-util
@@ -88,11 +88,8 @@ function test_connection {
echo "Checking for internet connection, please wait"
sleep 5
until curl --connect-timeout 10 -s "http://download.tizen.org/" > /dev/null; do
- while :; do
- $wifi_util && break
- [ $? -eq 1 ] && sigint_handler
- done
- echo "Checking for internet connection, please wait"
+ $wifi_util && break
+ [ $? -eq 1 ] && sigint_handler
done
}
diff --git a/scripts/wifi-util b/scripts/wifi-util
index 1f20d20..bb0cf55 100755
--- a/scripts/wifi-util
+++ b/scripts/wifi-util
@@ -14,8 +14,16 @@ passphrase=""
trap "exit 2" SIGINT
+while [[ -z $(lsmod | grep "^iwlmvm") ]]
+do
+ sleep 0.5
+ echo -n "."
+done
+
+sleep 2
+
while [ 1 ]; do
- $wifi scan > $data_out
+ $wifi scan > $data_out 2> /dev/null
ap=$(grep "wifi_" "$data_out" | sed "s/^\* /\t/" | sed "s/^\*R/\t/" | sed "s/^\*A/\t/" | awk '{$(NF--)=""; print}' | sed "s/^\(.*\) $/\"\1\"/g")
rm -f $data_out 2> /dev/null